Package org.springframework.beans.factory.xml

# Class DefaultNamespaceHandlerResolver

java.lang.Object
org.springframework.beans.factory.xml.DefaultNamespaceHandlerResolver

All Implemented Interfaces:
  `NamespaceHandlerResolver`

public class DefaultNamespaceHandlerResolver extends Object implements NamespaceHandlerResolver
Default implementation of the `NamespaceHandlerResolver` interface. Resolves namespace URIs to implementation classes based on the mappings contained in mapping file.

By default, this implementation looks for the mapping file at `META-INF/spring.handlers`, but this can be changed using the `DefaultNamespaceHandlerResolver(ClassLoader, String)` constructor.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - `NamespaceHandler`
  - `DefaultBeanDefinitionDocumentReader`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_HANDLER_MAPPINGS_LOCATION`
The location to look for the mapping files.
`protected final org.apache.commons.logging.Log`
`logger`
Logger available to subclasses.

## Constructor Summary

Constructors
Constructor
Description
`DefaultNamespaceHandlerResolver()`
Create a new `DefaultNamespaceHandlerResolver` using the default mapping file location.
`DefaultNamespaceHandlerResolver(ClassLoader classLoader)`
Create a new `DefaultNamespaceHandlerResolver` using the default mapping file location.
`DefaultNamespaceHandlerResolver(ClassLoader classLoader, String handlerMappingsLocation)`
Create a new `DefaultNamespaceHandlerResolver` using the supplied mapping file location.

## Method Summary

Modifier and Type
Method
Description
`NamespaceHandler`
`resolve(String namespaceUri)`
Locate the `NamespaceHandler` for the supplied namespace URI from the configured mappings.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_HANDLER_MAPPINGS_LOCATION

public static final String DEFAULT_HANDLER_MAPPINGS_LOCATION
The location to look for the mapping files. Can be present in multiple JAR files.

See Also:
  - Constant Field Values

### logger

protected final org.apache.commons.logging.Log logger
Logger available to subclasses.

## Constructor Details

### DefaultNamespaceHandlerResolver

public DefaultNamespaceHandlerResolver()
Create a new `DefaultNamespaceHandlerResolver` using the default mapping file location.

This constructor will result in the thread context ClassLoader being used to load resources.

See Also:
  - `DEFAULT_HANDLER_MAPPINGS_LOCATION`

### DefaultNamespaceHandlerResolver

public DefaultNamespaceHandlerResolver(@Nullable ClassLoader classLoader)
Create a new `DefaultNamespaceHandlerResolver` using the default mapping file location.

Parameters:
  `classLoader` - the `ClassLoader` instance used to load mapping resources (may be `null`, in which case the thread context ClassLoader will be used)
See Also:
  - `DEFAULT_HANDLER_MAPPINGS_LOCATION`

### DefaultNamespaceHandlerResolver

public DefaultNamespaceHandlerResolver(@Nullable ClassLoader classLoader, String handlerMappingsLocation)
Create a new `DefaultNamespaceHandlerResolver` using the supplied mapping file location.

Parameters:
  `classLoader` - the `ClassLoader` instance used to load mapping resources may be `null`, in which case the thread context ClassLoader will be used
  `handlerMappingsLocation` - the mapping file location

## Method Details

### resolve

@Nullable public NamespaceHandler resolve(String namespaceUri)
Locate the `NamespaceHandler` for the supplied namespace URI from the configured mappings.

Specified by:
  `resolve` in interface `NamespaceHandlerResolver`
Parameters:
  `namespaceUri` - the relevant namespace URI
Returns:
  the located `NamespaceHandler`, or `null` if none found

### toString

public String toString()

Overrides:
  `toString` in class `Object`